Jump to content

Welcome to MSFN Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. This message will be removed once you have signed in.
Login to Account Create an Account



Photo

2000 and ATI drivers USED to work

- - - - -

  • Please log in to reply
1 reply to this topic

#1
charlieb001

charlieb001
  • Member
  • 3 posts
  • Joined 05-October 12
  • OS:Windows 2000 Professional
  • Country: Country Flag
I have decided to reinstall my windows 2000 computer. my greatest problem is with the ATI X700 drivers. I have solved the issue with BWC's 10.2 drivers, but i am curious why my originals failed because they worked on other reinstallations - is it possible some sort of lock out occurred?

I had some troubles last time, it worked flawless all the times before that, this time neither the installer or the drivers will work at all. because of the success i had last time i renamed the file with (Xseries) - i know this DID work last time (i dont know if i ran this setup and if it failed, but after some struggle finding the right one, i ran it and it worked, not sure if something happened during the struggle to help it). the filename is 10-02_legacy_xp32-64_dd_ccc.exe. in all except the last of the scenarios below, i got the error "Setup has determined that the operating system in use is not a 64bit OS and as this Setup is intended for 64bit systems only Setup will now exit". the installer does have 32 and 64bit folders. the xp32(only) driver installer doesnt seem to include drivers for the X series (X700), so thats ruled out. I managed to force install the drivers by replacing [ATI.Mfg.NTx86] (not in the 64bit folder as you can see) with [ATI.Mfg] in the INF file, after reboot (and including the last scenario below) i get in the device property page: "the device is not working properly because Windows cannot load the drivers required for the device. (code 31)". I was quite sure i didnt have to edit the INF file in the past also (and i never knew about the RU2 and xp based updates)... so it does seem to me there is some sort of lockout.

These things are what i have tried/installed
*without SP4 (SP3) - the force installed driver caused BSOD on reboot (kernel32).
*with RU1
*with RU2
*with RU1 and 2 uninstalled (sp4 only)
*Java 5update5 (at the moment)
*dotnet 2
*directX 9c
*fresh install and changing the timestamps and system time to Mar 2009 (after the install program's release, according to a program named "MediaInfo" on sourceforge.net), though program was briefly launched in a dir and with files dated with 2012 (it was still checking the file's integrity when i ended that task).
*i tried ConvertCatalysXP-2K by Bernhard Schelling, which installed for the above 10-02 installer, but not for 10-5.
By the way this took like 1.5 days... learnt to back up :)

UURollup is out of the question due to BSOD, but i never used that in my past fresh installations.

its related to the problems expressed here too:
http://www.overclock...ad.php?t=657981
http://forums.anandt...64#post25600164

the suggestion to use Omega drivers does work but i prefer the originals, doesnt work when originals are installed over the top.
as for black wing cats, ATI1204w2k.cab doesnt support my card, and his ati2k1002l.zip is 10.2, and does work - So it makes me wonder what he did to fix it?

with my prior installation im quite sure i got 12.2 to install. the reason for the reinstall is i did a failed update, and found i didnt back up my whole installation (and reformatted, then i found my backup) - you need a fresh install once in a while... the icons had been messing up, though i found an indirect solution to that.

SO what on earth happened? im curious.

Charlie.


How to remove advertisement from MSFN

#2
tomasz86

tomasz86

    www.windows2000.tk

  • Member
  • PipPipPipPipPipPipPipPip
  • 2,520 posts
  • Joined 27-November 10
  • OS:XP Pro x86
  • Country: Country Flag
I don't know which version of the official drivers was the last one to support Win2k but the drivers ver. 10.x support only XP+. There are unfixed dependencies in them and they won't work in Win2k unless you:

  • Install the unofficial kernel

    or
  • Use BlackWingCat's drivers where the dependencies are fixed using files from KDW.
You didn't explain any details about the BSOD related to UURollup but my wild guess is that IE5 might be a problem (you haven't mentioned anything about installing IE6). You might want to install either IE6 or USP5.1 (IE6 is included in it) and then try to install UURollup again.
Posted Image
Unofficial Service Pack 5.2 for MS Windows 2000 <- use this topic if you need help with UURollup, Update Rollup 2 and other unofficial packages




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users